slrn (1.0.3+dfsg-4) unstable; urgency=medium

  * Remove obsolete dpkg-dev build dep
  * Set default-mta first in build depends over exim4
  * Remove obsolete README.source, dpatch is long gone
  * Bump standards version
  * Remove deprecated menu file (and XPM icon)
  * Remove obsolete debian/install-list-filter.sed

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 03 Aug 2020 22:28:10 +0200

slrn (1.0.3+dfsg-3) unstable; urgency=medium

  * Fix slrnpull daily cron to cope with older base-passwd change of
    no longer having a shell for the news system user (Closes: #824377)
  * Update watch file, current releases are shipped as bz2
  * Unversion all build deps even fulfilled in jessie

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 03 Nov 2018 12:32:01 +0100

slrn (1.0.3+dfsg-2) unstable; urgency=medium

  * Transition to libcanlock3

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 28 Jul 2018 21:29:55 +0200

slrn (1.0.3+dfsg-1) unstable; urgency=medium

  * Strip non-free vms.c from the tarball (only needed for builds
    on VMS). Thanks to Andreas Stieger for the report (Closes: #861804)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 05 May 2017 19:35:29 +0200

slrn (1.0.3a-1) unstable; urgency=medium

  * New upstream release
    - Drop reproducible-build.patch, merged upstream, thanks John!
    - Update do-not-link-with-termcap.patch

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 25 Oct 2016 23:10:52 +0200

slrn (1.0.2-5) unstable; urgency=medium

  * Bump to debhelper compat level 10
  * Update standards version
  * Also enable PIE and bindnow in build flags

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 29 Jun 2016 00:01:26 +0200

slrn (1.0.2-4) unstable; urgency=medium

  * Don't link with -ltermcap, thanks to Sven Joachim for the patch
    (Closes: #804084)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 07 Jan 2016 15:08:59 +0100

slrn (1.0.2-3) unstable; urgency=medium

  * Make the build reproducible, thanks to Dmitry Bogatov for the
    report (Closes: #798269)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 07 Sep 2015 17:48:38 +0200

slrn (1.0.2-2) unstable; urgency=medium

  * Update watch file and add key for PGP validation, thanks Gregor!
    (Closes: #763121)
  * Update standards version

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 14 Oct 2014 23:02:46 +0200

slrn (1.0.2-1) unstable; urgency=medium

  * New upstream release, most of the patches have been merged upstream,
    thanks John! 
    - These patches have consequently been dropped:
      fix-multipart.sl.patch, cleanscore-prototypes.patch, 
      raise-query-cutoff.patch, fix-tls-log.patch, document-regexp.patch
      support-cppflags.patch, less-gnutls-linkage.patch
    - Now supports MIME processing (Closes: #372209)
    - Strip \001 highlight characters from messages written to the 
      terminal when not in fullscreen mode  (Closes: #631021)
    - Handle SIGQUIT (Closes: #673529)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 25 Sep 2014 17:55:53 +0200

slrn (1.0.1-11) unstable; urgency=medium

  * Update config.[guess|sub] to support ppc64el, thanks Frederic
    (Closes: #757362)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 29 Aug 2014 18:23:54 +0200

slrn (1.0.1-10) unstable; urgency=medium

  * Add patch to support CPPFLAGS
  * Document S-Lang regexp shortcomings (Closes: #629535)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 17 Jan 2014 18:14:30 +0100

slrn (1.0.1-9) unstable; urgency=medium

  * Copy with the base-passwd behaviour of not having a shell for
    the news system user, thanks Colin (Closes: #734722)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 09 Jan 2014 23:35:08 +0100

slrn (1.0.1-8) unstable; urgency=low

  * Switch to a minimal rules file based on dh

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 01 Jan 2014 18:20:21 +0100

slrn (1.0.1-7) unstable; urgency=medium

  * Switch to a minimal rules filed based on dh
    - Remove hardening-wrapper

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 23 Dec 2013 20:31:10 +0100

slrn (1.0.1-6) unstable; urgency=medium

  * Readd tls log level patch (Closes #728189)
  * Add missingok to slrnpull logrotate config, thanks Eric (Closes: #732608)
  * Bump standards version

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 22 Dec 2013 16:53:35 +0100

slrn (1.0.1-5) unstable; urgency=medium

  * Remove obsolete dpatch and switch to source format 3 (quilt),
    cleanup patches while we're at it

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 16 Dec 2013 17:42:40 +0100

slrn (1.0.1-4) unstable; urgency=medium

  * Cherrypick upstream 107be9a749993d0063d4e87330ab947084d10c47 to,
    fixes TLS and too-verbose logging (Closes: #728189, #729901)
  * Build-Depend on libgnutls-openssl-dev instead of libgnutls-dev to
    allow transitioning to newer GnuTLS. Thanks, Andreas! 
    (Closes: #731169)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 07 Dec 2013 19:00:41 +0100

slrn (1.0.1-3) unstable; urgency=low

  * Make myself the sole maintainer, Joerg is too busy. Thanks for your
    previous work!
  * Build-depend on inn2-inews and drop 201_configure.diff kludge
  * Update short description
  * Update homepage to http://slrn.sourceforge.net/, slrn.org is
    domain-squatted

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 23 Oct 2013 18:49:20 +0200

slrn (1.0.1-2) unstable; urgency=low

  * Update copyright file and John's email address
  * Cleanup debian/rules file
  * Reduce gnutls linkage, thanks Andreas Metzler (Closes: #725502)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 07 Oct 2013 17:05:55 +0200

slrn (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Add myself to uploaders/maintainers as discussed with Jörg
    Acknowledge NMUs, thanks Christian Perrier and Gregor Herrmann
    (Closes: #580177, #639772, #607332, #610221, #654556, #660530, #661137)
  * Remove now obsolete DM-Upload-Allowed field
  * Unversion some build-deps, which are even satisfied in oldstable
  * Remove suggests on removed metamail (Closes: #609353)
  * Switch to dh_autoreconf, picked from patch by Gregor, thanks! There
    will be more changes to modernise the package later (Closes: #696512)
    Drop configure-rebuild.dpatch as a consequence from moving to
    dh_autoreconf
  * Update pt_BR translation, thanks Adriano Rafael Gomes (Closes: #721680)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 04 Oct 2013 17:34:57 +0200

slrn (1.0.0~pre18-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Italian (Beatrice Torracca).  Closes: #610221
    - Dutch; (Jeroen Schot).  Closes: #654556
    - Polish (Michał Kułach).  Closes: #660530
    - Slovak (Ivan Masár).  Closes: #661137

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Feb 2012 07:28:11 +0100

slrn (1.0.0~pre18-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: checking for the slang library and header files ... no":
    tell configure about the multiarched slang lib; build-depend on dpkg-dev
    (>= 1.16.0). Remove rpath that gets introduced by the multiarch path.
    (Closes: #639772)
  * Fix "cleanscore breaks with perl 5.12": new patch
    cleanscore-prototypes.dpatch.
    (Closes: #607332)

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 15:12:43 +0100

slrn (1.0.0~pre18-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane).  Closes: #580177

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Jul 2010 06:39:14 -0400

slrn (1.0.0~pre18-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * Updates of debconf translation:
    + Japanese, thanks to Hideki Yamane. (closes: #564482)

  * Converted the debconf templates from _Choices to __Choices.

  * Fixed the name of RUNFROM in slrnpull.postinst. (closes: #569000)

  * Raised the Standards-Version to 3.8.4. No changes needed.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 23 Feb 2010 01:10:38 +0100

slrn (1.0.0~pre16-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * New debconf translation:
    + Japanese, thanks to Hideki Yamane. (closes: #555545)

  * Added patch from Brian Murray to fix multipart.sl. (closes: #445258)

  * Raised the Standards-Version to 3.8.3. No changes needed.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 10 Nov 2009 21:21:23 +0100

slrn (1.0.0~pre11-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * Updates of debconf translation:
    + Spanish, thanks to Francisco Javier Cuadrado. (closes: #526697)

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 14 Jun 2009 21:59:28 +0200

slrn (1.0.0~pre10-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * slrnpull: Cleaned up the permissions underneath /var/spool/slrnpull
    and added an override file for lintian. Now, only the directories
    /v/s/s/out.going and /v/s/s/out.going/rejects have unusual
    permissions. The override file required to request a debhelper
    version >= 6.0.7~.

  * slrnpull: Ship /var/spool/slrnpull/requests with the package and set
    appropriate permissions that every user can request the body of
    articles.

  * slrnpull: Removed the link /var/spool/slrnpull/slrnpull.conf and rely
    on fallback to /etc/news/slrnpull.conf.

  * Raised the Standards-Version to 3.8.1. No changes needed.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 19 Apr 2009 22:34:50 +0200

slrn (1.0.0~pre2-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * Added the configure option --without-x to disable the check for X
    libraries and header files, because the build of slrn should be the
    same with and without the X libs installed (dirty build environment).

  * Enabled additional compiler warnings to uncover sources common
    mistakes at build time. -Wformat=2 -Wunused -Wundef -Wextra
    -Wswitch-enum -Wpointer-arith -Wnested-externs -Wbad-function-cast
    -Wcast-qual -Wcast-align -Wshadow

  * Really link with libuu. Use --with-uu instead of --with-uudeview. The
    options was renamed with 0.9.9.1. (closes: #506645)

  * Do not link slrnpull with libuu, because it doesn't use it.

  * Remove the workaround from 0.9.9~pre102-3 to read /etc/news/server.
    Slrn's configure supports the option --with-server-file, now.

  * Increased Standards-Version to 3.8.0. Added the file README.source to
    describe how to use dpatch (or better said link to the defaul
    description in /usr/share/doc/dpatch).

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 23 Nov 2008 22:36:07 +0100

slrn (0.9.9-1) unstable; urgency=low

  * New upstream release
    + A solution to workaround the problem of overlong lines in the
      header, especially the References line, was added in version
      pre127. (closes: #472006)

  * Remove the patch gnutls-support.dpatch, because it's applied to the
    upstream source in pre123.

  * Adapted the watch to the the new location on space.mit.edu, former
    sourceforge.net.

  * Added the DM-Upload-Allowed field in the control file.

  * Upload sponsored by Norbert Tretkowski

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 18 Aug 2008 23:32:54 +0200

slrn (0.9.9~pre122-1) unstable; urgency=low

  * New upstream release

  * Removed the following patches, they are applied upstream
    + 210_doc-fix.diff                 -- pre121

  * Updates of debconf translation:
    + Swedish, thanks to Martin Ågren. (closes: #492102)

  * Added the patch gnutls-support to enable GNU TLS support.
    (closes: #487865)

  * Upload sponsored by Norbert Tretkowski

 -- Jörg Sommer <joerg@alea.gnuu.de>  Fri, 25 Jul 2008 13:35:45 +0200

slrn (0.9.9~pre111-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * Removed the following patches, they are applied upstream
    + 205_organization.diff            -- pre105
    + 208_slrnrc-conv.diff             -- pre103
    + rm_unused_domain_check.dpatch    -- pre106

  * Updates of debconf translation:
    + Czech, thanks to Miroslav Jezbera. (closes: #485281)

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 17 Jun 2008 01:21:36 +0200

slrn (0.9.9~pre102-3) unstable; urgency=low

  * Extended dpatch 203_locations.diff to define the marco
    NNTPSERVER_FILE. (closes: #469586)

  * Reset the value of the configuration directory with a make option to
    overwrite the default value of $(sysconfdir)/slrn. This solves also
    the problem that slrnpull search slrnpull.conf in /etc/news/slrn.
    (closes: #480681)

  * Upload sponsored by Norbert Tretkowski

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 13 May 2008 16:18:47 +0200

slrn (0.9.9~pre102-2) unstable; urgency=low

  * Replaced selfmade hardening support by the package hardening-wrapper.
    This handles all those special cases I don't have done in my selfmade
    version. The hardening-wrapper doesn't use DEB_BUILD_OPTIONS, but its
    own variables DEB_BUILD_HARDENING*; see man hardening-wrapper. So,
    DEB_BUILD_OPTIONS=nohardening isn't used. (closes: #478057)

  * Updates of debconf translation:
    + Vietnamese, thanks and a big sorry to Clytie Siddall. I've
      completely missed this bug report. (closes: #461378)

  * Upload sponsored by Norbert Tretkowski

 -- Jörg Sommer <joerg@alea.gnuu.de>  Wed, 30 Apr 2008 15:46:03 +0200

slrn (0.9.9~pre102-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * Removed the dpatch add-missing-checks, because is was applied
    upstream.

  * Updates of debconf translations:
    + Danish, thanks to M. P. Rommedahl (closes: #475563)
    + Basque, thanks to Piarres Beobide (closes: #475965)

  * Enabled hardening as suggested in
    http://lists.debian.org/debian-devel-announce/2008/01/msg00006.html
    As long as DEB_BUILD_OPTIONS doesn't contain "nohardening" the CFLAGS
    -fPIC -fPIE -fstack-protector -Wformat=2 -Wextra -D_FORTIFY_SOURCE=2
    and the LDFLAGS -Wl,-zrelro,-pie are used.

  * Removed the hostname-in-binary check from debian/rules and added a
    dpatch to remove the unused domainname and hostname checks from
    configure. Upstream told in [1] the hostname-in-binary problem #83725
    can't happen with the current code. (closes: #472361)

    [1] http://sourceforge.net/mailarchive/forum.php?thread_name=slrnfvftt7.1v2.joerg%40alea.gnuu.de&forum_name=slrn-user

  * Fixed permission of /etc/ppp/ip-up.d/slrn and …/slrnpull. The scripts
    missed the executable flag.

  * The scripts in /etc/ppp/ip-up.d do no longer run the subjob as a
    background process, because this breaks the quick calling mode of
    pon.

  * Install the scripts from /etc/ppp/ip-up.d in /etc/network/if-up.d,
    too, and modified them to not run, if the variable MODE contains
    loopback, i.e. don't start, if the loopback device comes up.

  * Dropped the dpatch 209_optic, because it breaks the translation of
    these strings and I don't see what's the intent of this patch.

  * Dropped the dpatch 206_branding, because I don't see what's the value
    of this patch except for fun.

  * Upload sponsored by Norbert Tretkowski

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sat, 26 Apr 2008 16:19:22 +0200

slrn (0.9.9~pre99-1) unstable; urgency=high

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * The slrn package shipped the file /etc/default/slrnpull. Now, it
    shipps the file slrn. (closes: #470630) Due to this bug I've raised
    the urgency of this version to high.

  * Raised debhelper compatibility level to V5, because V4 didn't support
    comments in debhelper files.

  * Now, the "make install" call installes all files in debian/tmp and
    the files are installed with dh_install* tools into the packages.
    This way we benefit from fancy things like character encoding
    conversion to UTF-8 by dh_installman.

  * Merged in the Debian changelog entries of version 0.9.8.1pl1-22 to
    -28 (the package uploaded to unstable). The changes from these
    versions aren't needed, because they are mostly overridden by changes
    done since 0.9.9~pre77-1.

  * Updates of debconf translations:
    + Galician, thanks to Jacobo Tarrio (closes: #414042)
    + Portuguese, thanks to Américo Monteiro (closes: #433397)
    + Russian, thanks to Yuri Kozlov (closes: #471028)
    + French, thanks to Steve Petruzzello (closes: #472598)
    + Finnish, thanks to Esko Arajärvi (closes: #473017)
    + German, thanks to Erik Schanze (closes: #473319)

  * Do not update the config settings in the postinst scripts, if the
    admin removed the config file in /etc/default. (closes: #471864)

  * Added a note about the missing support for /etc/news/server to
    NEWS.Debian. This does not fix #469586, but it should make people
    aware of this problem.

  * Added dpatch add-missing-checks to check for functions, header files
    and types used in the source. This adds IPv6 support, because now the
    necessary functions are detected. (closes: #473214)

  * Upload sponsored by Norbert Tretkowski

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 6 Apr 2008 22:52:58 +0200

slrn (0.9.9~pre97-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

    + 97. src/slrn.c: If SLang_getkey fails, then exit. (closes: #450845)

  * Removed debian/patches/fix-s-lang-spelling.dpatch and
    debian/patches/fix-manpage-hyphen.dpatch; they are applied upstream

  * Added symlink from /u/s/slrn/newsgroups.dsc to /v/l/slrn/newsgroups.dsc,
    because slrn searches there for the newsgroups.dsc file. It's not
    possible to configure a different path for this file.

  * Removed code from postinst and preinst scripts for upgrades from
    version prior to 0.9.8.1 (current version in stable). Upgrades from
    these versions aren't supported.

  * /etc/default/slrn and …/slrnpull are a real conffile, now.

  * Removed automake from the Build-Depends field. It's not used.

  * Upload sponsored by Norbert Tretkowski

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 04 Mar 2008 14:24:33 +0100

slrn (0.9.9~pre77-1) experimental; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * Set Jörg Sommer as new maintainer

  * Removed unneded patches: 100_version.diff 200_unneeded-deps.diff
    207_damn-autoconf.diff

  * Removed rebuild of locale files and removed gettext from
    Build-Depends filed

  * Renamed all slrn related files in debian/ to slrn.$file.

  * Added support for DEB_BUILD_OPTIONS=noopt and nostrip

  * Moved ${misc:Depends} to the Pre-Depends field, because debconf is
    used in the preinst script.

  * Added debian/patches/fix-manpage-hyphen.dpatch to use minus signs
    instead of hyphens in the manpages.

  * Added debian/patched/fix-manpage-s-lang-spelling.dpatch to unify the
    spelling of S‐Lang in the manpage of slrn.

  * Increased Standards-Version to 3.7.3.0. Moved slrn to the menu
    Applications/Network/Communication.

  * Removed version informations in Build-Depends field. All packages in
    stable are newer as the requested versions. Removed dpkg-dev from
    Build-Depends field and debianutils from Depends field. Both are
    essential and need no special request.

  * Removed Conflicts/Replaces fields from slrnpull for a nine years old
    version.

  * Added Homepage, Vsc-Browser and Vcs-Git fields.

  * Reworked deconf questions:
    + Updated shared/news/server to follow dev-ref.

    + Merged slrnpull/run_manual into slrnpull/run_from.

    + Dropped slrn/lost_slrnpull. It's old and an abuse of debconf.

    + Merged slrn/manual_getdescs into slrn/getdescs.

    + Rephrased slrn/getdescs_now to include no questions in the long
      description.

  * Added NEWS file

  * Upload sponsored by Norbert Tretkowski

 -- Jörg Sommer <joerg@alea.gnuu.de>  Fri, 18 Jan 2008 17:59:01 +0100

slrn (0.9.8.1pl2~cvs20070125-1) experimental; urgency=low

  * New upstream cvs snapshot.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 26 Jan 2007 21:51:41 +0100

slrn (0.9.8.1pl2~cvs20070125-1) experimental; urgency=low

  * New upstream cvs snapshot.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 26 Jan 2007 21:51:41 +0100

slrn (0.9.8.1pl2~cvs20061116-1) experimental; urgency=low

  * New upstream cvs snapshot.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 16 Nov 2006 23:09:51 +0100

slrn (0.9.8.1pl2~cvs20061113-1) experimental; urgency=low

  * New upstream cvs snapshot.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 13 Nov 2006 22:10:03 +0100

slrn (0.9.8.1pl2~cvs20061112-1) experimental; urgency=low

  * New upstream cvs snapshot.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 12 Nov 2006 21:16:10 +0100

slrn (0.9.8.1pl2~cvs20061030-1) experimental; urgency=low

  * New upstream cvs snapshot.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 30 Oct 2006 21:17:01 +0100

slrn (0.9.8.1pl2~cvs20060903-1) experimental; urgency=low

  * New upstream cvs snapshot.

 -- Norbert Tretkowski <nobse@debian.org>  Sun,  3 Sep 2006 17:00:09 +0200

slrn (0.9.8.1pl2~cvs20060902-1) experimental; urgency=low

  * New upstream cvs snapshot.
  * Fixed most lintian warnings.

 -- Norbert Tretkowski <nobse@debian.org>  Sat,  2 Sep 2006 21:22:13 +0200

slrn (0.9.8.1pl2~cvs20060831-1) experimental; urgency=low

  * New upstream cvs snapshot.
    + Fixed segmentation fault on some articles. (closes: #385224, #383669)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 31 Aug 2006 11:22:09 +0200

slrn (0.9.8.1pl2~cvs20060816-2) experimental; urgency=low

  * Last version was uploaded as native package by accident.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 16 Aug 2006 10:42:33 +0200

slrn (0.9.8.1pl2~cvs20060816-1) experimental; urgency=low

  * New upstream cvs snapshot.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 16 Aug 2006 10:27:25 +0200

slrn (0.9.8.1pl2~cvs20060815-1) experimental; urgency=low

  * New upstream cvs snapshot.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 15 Aug 2006 18:34:28 +0200

slrn (0.9.8.1pl2~cvs20060812-1) experimental; urgency=low

  * New upstream cvs snapshot.
  * Removed some patches which got merged upstream.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 12 Aug 2006 10:56:49 +0200

slrn (0.9.8.1pl1-28) unstable; urgency=high

  * Disabled charset patch from Bas Zoetekouw due to unhandled segfaults.
    (closes: #411667)

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 20 Mar 2007 23:00:01 +0100

slrn (0.9.8.1pl1-27) unstable; urgency=medium

  * Updated the fallback charset patch from Bas Zoetekouw to fix regular
    segfaults when expunging. (closes: #410135)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 11 Feb 2007 18:01:29 +0100

slrn (0.9.8.1pl1-26) unstable; urgency=medium

  * Fixed some lintian warnings:
    + missing-debconf-dependency-for-preinst
    + deprecated-chown-usage
    + syntax-error-in-debian-changelog

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 27 Jan 2007 18:43:51 +0100

slrn (0.9.8.1pl1-25) unstable; urgency=medium

  * Added fallback charset patch from Bas Zoetekouw and documented the new
    feature in NEWS.Debian. (closes: #403781, #406210)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 15 Jan 2007 21:37:41 +0100

slrn (0.9.8.1pl1-24) unstable; urgency=medium

  * Disabled hostname check to fix build failure on mips and mipsel.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 27 Dec 2006 07:11:21 +0100

slrn (0.9.8.1pl1-23) unstable; urgency=medium

  * Added NEWS.Debian file which documents the configuration changes
    introduced with the charset patch in the last release. (closes: #403781)
  * Fixed debconf templates. (closes: #388959, #388960)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 21 Dec 2006 20:29:08 +0100

slrn (0.9.8.1pl1-22) unstable; urgency=medium

  * Reenabled charset patch from Bas Zoetekouw. (closes: #316919)
  * Really update config.guess and config.sub. (closes: #331427)

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 12 Dec 2006 07:38:39 +0100

slrn (0.9.8.1pl1-21) unstable; urgency=low

  * Added patch from Jason Spiro to bump Slrn_Query_Group_Cutoff to 1000
    instead 100. (closes: #375015)
  * Don't remove /var/log/news when purging slrnpull. (closes: #355437)

 -- Norbert Tretkowski <nobse@debian.org>  Tue,  1 Aug 2006 14:03:27 +0200

slrn (0.9.8.1pl1-20) experimental; urgency=low

  * Reenabled charset patch again.

 -- Norbert Tretkowski <nobse@debian.org>  Mon,  3 Jul 2006 22:20:12 +0200

slrn (0.9.8.1pl1-19) unstable; urgency=low

  * Adjusted slrnpull.cron.daily and slrnpull.ip-up for updated su in login
    since 1:4.0.15-5, thanks to Simon Taylor. (closes: #371875)
  * Updated standards-version to 3.7.2.0, no changes required.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 10 Jun 2006 19:47:28 +0200

slrn (0.9.8.1pl1-18) unstable; urgency=low

  * Adjusted slrn_getdescs for updated su in login since 1:4.0.15-5, thanks
    to Joerg Sommer. (closes: #367770)
  * Temporary disabled charset patch for this upload to unstable.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 17 May 2006 22:51:28 -0500

slrn (0.9.8.1pl1-17) experimental; urgency=low

  * Fixes to the charset patch from Bas Zoetekouw.

 -- Norbert Tretkowski <nobse@debian.org>  Tue,  4 Apr 2006 21:57:21 +0200

slrn (0.9.8.1pl1-16) experimental; urgency=low

  * Added charset patch from Bas Zoetekouw. (closes: #316919)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 18 Feb 2006 09:44:56 +0100

slrn (0.9.8.1pl1-15) unstable; urgency=low

  * Removed unneeded direct dependencies on libgcrypt11 and libtasn1-2.
    (closes: #346481)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 22 Jan 2006 02:40:08 +0100

slrn (0.9.8.1pl1-14) unstable; urgency=low

  * Rebuilt with libslang2 2.0.5.
  * Updated Standards-Version to 3.6.2.1.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 18 Nov 2005 16:07:07 +0100

slrn (0.9.8.1pl1-13) unstable; urgency=low

  * Use "head -n 1" instead obsolete "head -1" in debconf and postinst
    scripts. (closes: #334576)

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 18 Oct 2005 21:51:33 +0200

slrn (0.9.8.1pl1-12) unstable; urgency=low

  * Added an alternative for mail-transport-agent build-dependency.
    (closes: #333216)

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 12 Oct 2005 15:50:10 +0200

slrn (0.9.8.1pl1-11) unstable; urgency=low

  * Added a new patch from cvs which fixes messing up the screen when
    reconnecting to the newsserver fails. (closes: #294300)

 -- Norbert Tretkowski <nobse@debian.org>  Sun,  9 Oct 2005 12:49:32 +0200

slrn (0.9.8.1pl1-10) unstable; urgency=low

  * Fixed location of config.{guess,sub}. (really closes: #331427)

 -- Norbert Tretkowski <nobse@debian.org>  Mon,  3 Oct 2005 18:39:09 +0200

slrn (0.9.8.1pl1-9) unstable; urgency=low

  * Update config.guess and config.sub in clean target. (closes: #331427)

 -- Norbert Tretkowski <nobse@debian.org>  Mon,  3 Oct 2005 15:28:45 +0200

slrn (0.9.8.1pl1-8) unstable; urgency=low

  * Updated swedish debconf translation from Daniel Nylander.
    (closes: #331358)
  * Added a new patch which corrects an error in the documentation.
    (closes: #277443)
  * Removed version from libgnutls-dev build-dependency.

 -- Norbert Tretkowski <nobse@debian.org>  Mon,  3 Oct 2005 10:27:39 +0200

slrn (0.9.8.1pl1-7) unstable; urgency=low

  * Added a new patch which sets SLRN_SPOOL_ROOT and SLRNPULL_ROOT_DIR to
    /var/spool/slrnpull. (closes: #300854)
  * Added a new patch from Yann Dirson which adds some obsolete statements to
    slrnrc-conv. (closes: #282550)
  * Added vietnamese debconf translation from Clytie Siddall.
    (closes: #318393)
  * Fixed spelling error in po/pt_BR.po. (closes: #326623)

 -- Norbert Tretkowski <nobse@debian.org>  Sun,  2 Oct 2005 15:31:39 +0200

slrn (0.9.8.1pl1-6) unstable; urgency=low

  * Built against libgnutls-dev.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 31 Jul 2005 19:08:56 +0200

slrn (0.9.8.1pl1-5) unstable; urgency=low

  * Upload to unstable. (closes: #315640)
  * Updated Standards-Version to 3.6.2.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 24 Jun 2005 12:32:29 +0200

slrn (0.9.8.1pl1-4) experimental; urgency=low

  * Built against slang2 to get full UTF-8 support.
  * Added a new patch from cvs to fix author search.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 19 Jun 2005 12:14:22 +0200

slrn (0.9.8.1pl1-3) experimental; urgency=low

  * Merged changed from 0.9.8.1-6.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 18 Mar 2005 10:43:51 +0100

slrn (0.9.8.1pl1-2) experimental; urgency=low

  * Added full path to slrn binary in menu file to make lintian happy.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 18 Feb 2005 08:15:32 +0100

slrn (0.9.8.1pl1-1) experimental; urgency=low

  * New developer preview of next upstream release.
    + Permission 600 given to slrnpull debugging files. (closes: #276645)
  * Removed some patches which got merged upstream.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 17 Feb 2005 23:23:25 +0100

slrn (0.9.8.1-6) unstable; urgency=low

  * Fixed typo in package description of slrnpull. (closes: #300078)
  * Removed jm_AC_TYPE_UNSIGNED_LONG_LONG from autoconf requirements.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 18 Mar 2005 10:29:33 +0100

slrn (0.9.8.1-5) unstable; urgency=medium

  * Updated german debconf translation from Erik Schanze. (closes: #280994)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 14 Nov 2004 13:16:35 +0100

slrn (0.9.8.1-4) unstable; urgency=medium

  * Added upstream patch slrn-0.9.8.1-lastchar-incr.diff which fixes new
    problems introduced in slrn-0.9.8.1-lastchar.diff.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 06 Nov 2004 17:24:23 +0100

slrn (0.9.8.1-3) unstable; urgency=medium

  * Added upstream patch slrn-0.9.8.1-lastchar.diff to avoid slrn eating the
    last character of the article when posting.
  * Added a patch which adds Debian branding to user-agent string.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 14 Oct 2004 16:15:13 +0200

slrn (0.9.8.1-2) unstable; urgency=medium

  * Added upstream patch slrn-0.9.8.1-fetch.diff to avoid going immediately to
    the next group when a group contains no new headers.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 10 Oct 2004 10:01:35 +0200

slrn (0.9.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 07 Oct 2004 08:20:34 +0200

slrn (0.9.8.0pl1-2) experimental; urgency=low

  * Added version to autoconf build-dependency.
  * Added automake1.8 to build-dependencies.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 01 Oct 2004 19:44:41 +0200

slrn (0.9.8.0pl1-1) experimental; urgency=low

  * New developer preview of next upstream release.
  * Removed some patches which got merged upstream.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 30 Sep 2004 23:15:32 +0200

slrn (0.9.8.0-17) unstable; urgency=medium

  * Added a patch which fixes a segfault when using slrn on terminals wider
    than 256 chars. (closes: #270710)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 25 Sep 2004 14:26:11 +0200

slrn (0.9.8.0-16) unstable; urgency=medium

  * Built against libgnutls11-dev. (closes: #264737)

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 11 Aug 2004 19:27:26 +0200

slrn (0.9.8.0-15) unstable; urgency=low

  * Force usage of /etc/news/server when downloading newsgroup descriptions.
    (closes: #243955)
  * Added (incomplete) dutch debconf translation from Peter Karlsson.
    (closes: #209083)
  * Added czech debconf translation from Miroslav Jezbera. (closes: #260231)

 -- Norbert Tretkowski <nobse@debian.org>  Sat,  7 Aug 2004 20:24:11 +0200

slrn (0.9.8.0-14) unstable; urgency=low

  * Updated patch from Paul Martin which fixes removing of .headers files.
  * Added this patch to dpatch list. (really closes: #240649, #248297)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 01 Jul 2004 19:03:11 +0200

slrn (0.9.8.0-13) unstable; urgency=low

  * Updated german debconf translation from Florian Ernst. (closes: #244540)
  * Added a patch from J. H. M. Dassen which reduces the amount of shared
    library dependencies. (closes: #242998)
  * Added a patch from Paul Martin which fixes removing of .headers files.
    (closes: #240649, #248297)
  * Added a patch from Michael Ablassmeier which disables uudeview support on
    hurd-i386. (closes: #245354)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 12 Jun 2004 22:56:14 +0200

slrn (0.9.8.0-12) unstable; urgency=low

  * Added patch from cvs which fixes overwriting of newsrc if it's a symbolic
    link. (closes: #207941)
  * Updated spanish debconf translation from Javi Castelo. (closes: #238022)
  * Updated danish debconf translation from Claus Hindsgaul. (closes: #235127)
  * Converted changelog from iso-8859-1 to utf-8.
  * Removed duplicated tag from menu file.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 27 Mar 2004 17:24:36 +0100

slrn (0.9.8.0-11) unstable; urgency=low

  * Added upstream patch slrn-0.9.8.0-ranges2.diff to avoid marking additional
    articles in the other group(s) as read when reading cross-posts.
  * Added libcanlock2-dev to build-dependencies and --with-canlock option to
    configure. (closes: #127901, #207389)
  * Used short hostname when long hostname is not available. (closes: #230408)
  * Added explicit build-dependency on libgnutls7-dev. (closes: #232993)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 16 Feb 2004 10:01:22 +0100

slrn (0.9.8.0-10) unstable; urgency=low

  * New maintainer. (closes: #228006)
  * Split out patches and moved over to dpatch.
  * Added upstream patch slrn-0.9.8.0-mime.diff to avoid possible crashes
    when trying to decode base64-encoded articles.
  * Added a patch from Jon Dowland <jon.dowland@durham.ac.uk> which
    activates menu hints. (closes: #223573)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 31 Jan 2004 00:26:09 +0100

slrn (0.9.8.0-9) unstable; urgency=low

  * Updated Russian debconf po file from Ilgiz Kalmetev.
    Closes: #219228

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Nov 2003 19:35:17 -0500

slrn (0.9.8.0-8) unstable; urgency=low

  * Force inews suppot to be on, lose the build-dep on inewsinn.
    Closes: #215586
  * Add note to README.Debian about location of contrib programs,
    and fixed slrn to give the path to slrnrc-conv again (accidential
    reversion). Closes: #216598

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Oct 2003 21:20:37 -0400

slrn (0.9.8.0-6) unstable; urgency=low

  * Updated Polish debconf translation from Bartosz Zapalowski
    <bartek@klepisko.eu.org>. Closes: #214709

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Oct 2003 16:03:15 -0400

slrn (0.9.8.0-5) unstable; urgency=low

  * Added a README.Debian for slrn.
  * Since /etc/news/organization may not exist (and this package will not
    fill something in, since there is no good default, and it's not important
    enough to bother the user about), modified slrn so if it uses the value
    from OUR_ORGANIZATION, it only treats it as a file, not as a literal
    value. Closes: #205406 (again)

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Sep 2003 13:40:53 -0400

slrn (0.9.8.0-4) unstable; urgency=low

  * Applied upstream patch slrn-0.9.8.0-post.diff to avoid possible segfaults
    when posting on powerpc.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Sep 2003 11:06:58 -0400

slrn (0.9.8.0-3) unstable; urgency=low

  * Applied upstream patch slrn-0.9.8.0-ranges.diff, fixes slrnpull download
    stats.

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Sep 2003 15:21:16 -0400

slrn (0.9.8.0-2) unstable; urgency=low

  * Updated pt_BR debconf template. Patch from Andre Luis Lopes.
    Closes: #208120

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2003 21:41:51 -0400

slrn (0.9.8.0-1) unstable; urgency=low

  * New upstream release.
    - with new cleanscore, obsoleting my hack for #189802
    - incorporating my gnutls patch
    - with J.H.M. Dassen's ipv6 patch
    - should fix key mismatch bug in Dutch translation. Closes: #159087
    - and the Dutch translation should be complete now. Closes: #144595
    - fixes misaligned columns in group mode. Closes: #64115
    - includes Chris Hanson's uudeview patch. Closes: #139235
    - fixes the annoying capitalization behavior. Closes: #140756
    - with many other fixes and enhancments, see the changelog
  * Pass new --with-server-file option to configure.
  * Update slrnpull description to reflect new "true offline" capabilities.
  * Add new README.offline to slrnpull docs.
  * Stop running autotools in debian/rules since all my patches that require
    that are in upstream.
  * Update copyright file.

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Aug 2003 13:58:47 -0400

slrn (0.9.7.4-39) unstable; urgency=low

  * Read organization from /etc/news/organization by default. Closes: #205406

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Aug 2003 10:56:38 -0400

slrn (0.9.7.4-38) unstable; urgency=low

  * Build depends on inewsinn, not inews, since inews puts inews in a
    directory not in path.

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jul 2003 20:40:19 +0200

slrn (0.9.7.4-37) unstable; urgency=low

  * Updated French po-debconf file from Pierre Machard. Closes: #195650
  * po/Makefile.in.in: Removed what looked like a workround for an old 
    version of autoconf that did not finx mkinstalldirs properly. That
    workaround broke with autoconf 2.50, which does find it properly.
    Closes: #198318

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Jun 2003 16:26:56 -0400

slrn (0.9.7.4-36) unstable; urgency=low

  * Added a menu icon, a rediced color and converted version of the gnome
    news icon. Closes: #192605
  * Ran debconf-updatepo.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 May 2003 18:00:08 -0400

slrn (0.9.7.4-35) unstable; urgency=low

  * Shut up getopts.pl warning in cleanscore. There is a clean fix in a
    new upstream but that is too many changes, I just turned off warnings
    around the getopts.pl require line. Closes: #189802

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Apr 2003 10:15:39 -0400

slrn (0.9.7.4-34) unstable; urgency=low

  * Fix off by one in ipv6 patch, Closes: #187882

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Apr 2003 16:29:34 -0400

slrn (0.9.7.4-33) unstable; urgency=low

  * Put back fr.po rom before, DDTP is incomplete after all. Closes: #185916

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Mar 2003 19:40:36 -0800

slrn (0.9.7.4-32) unstable; urgency=low

  * Completed de, pt_BR, fr and updated da, ru, es debconf template
    translations from DDTP.
  * Shut up the weekly cron job, to avoid noie if the news server is down.
    Closes: #185029

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Mar 2003 15:11:48 -0800

slrn (0.9.7.4-31) unstable; urgency=low

  * Add HAVE_GETADDRINFO to slrn.h.

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Mar 2003 22:18:25 -0500

slrn (0.9.7.4-30) unstable; urgency=low

  * Applied ipv6 support patch from J.H.M. Dassen. Closes: #183101

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Mar 2003 12:42:16 -0500

slrn (0.9.7.4-29) unstable; urgency=low

  * Added pt_BT translation of debconf templates. Closes: #179502
  * Build-depend on any automaken.

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Feb 2003 15:51:31 -0500

slrn (0.9.7.4-28) unstable; urgency=low

  * Rebuilt to clear up indicrect libopencdk dependency. Closes: #173146

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Dec 2002 14:24:52 -0500

slrn (0.9.7.4-27) unstable; urgency=low

  * Use libgnutls-extra-config. Closes: #172298

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Dec 2002 20:49:40 -0500

slrn (0.9.7.4-26) unstable; urgency=low

  * Fix ownership of /etc/ppp directory to 755.

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Nov 2002 12:34:00 -0500

slrn (0.9.7.4-25) unstable; urgency=low

  * Built for new gnutls. Closes: #169253

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 13:55:35 -0500

slrn (0.9.7.4-24) unstable; urgency=low

  * Suggest metamail since slrn can use it for viewing mime.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 13:44:48 -0500

slrn (0.9.7.4-23) unstable; urgency=low

   * Updated french debconf po file. Closes: #164113
   * Fixed typo in slrnpull defaults file. Closes: #164669
   * Don't override upstream color scheme, as the current upstream color
     scheme is a lot better than it used to be, not using blue foreground
     text at all. Closes: #164841

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Oct 2002 14:25:16 -0400

slrn (0.9.7.4-22) unstable; urgency=low

  * Updated config.sub, config.guess to modern versions that may work with
    mips. Closes: #163926

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Oct 2002 17:45:21 -0400

slrn (0.9.7.4-21) unstable; urgency=low

  * Updated debconf po files to avoid debconf-gettextize bugs. Closes: #163349

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Oct 2002 19:49:57 -0400

slrn (0.9.7.4-20) unstable; urgency=low

  * Converted to po-debconf for translated templates.
  * Turn on new-style debconf encoding stuff.

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Oct 2002 23:57:19 -0400

slrn (0.9.7.4-19) unstable; urgency=low

  * Build with new libgnutls-extra.so, and link in -lopencdk.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Sep 2002 13:17:27 -0400

slrn (0.9.7.4-18) unstable; urgency=low

  * Added support for gnutls's openssl compatability layer, and build with it,
    adding ssl support to slrn. Closes: #92113
  * Build-dep on libgnutls-dev.
  * Run aclocal and autoconf at build time to pull in gnutls stuff in
    acinclude.m4.
  * Removed autogenerated clutter from diff.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2002 02:25:55 -0400

slrn (0.9.7.4-17) unstable; urgency=low

  * Run slrn as user news when retreiving descriptions in slrn_getdescs, just
    in case. Closes: #157201

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Aug 2002 11:54:21 -0400

slrn (0.9.7.4-16) unstable; urgency=low

  * Typo, Closes: #155330

 -- Joey Hess <joeyh@debian.org>  Sat,  3 Aug 2002 12:37:10 -0400

slrn (0.9.7.4-15) unstable; urgency=low

  * Turn on AM_MAINTAINER_MODE.
  * Touch src/stamp-h.in to avoid invocations of autoheader. Closes: #154335
  * Fixed watchfile for sourceforge brokenness.

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Jul 2002 12:59:02 -0400

slrn (0.9.7.4-14) unstable; urgency=low

  * Modified aclocal.m4 to work with autoconf 2.50, so it does not silently
    fall back to the old autoconf, which broke large file support. 
    Added a really annoying linking of configure.in to configure.ac so
    autoconf2.50 will run. Sigh.
    Closes: #153737

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Jul 2002 23:54:31 -0400

slrn (0.9.7.4-13) unstable; urgency=low

  * Make slrn_getdescs ignore root's .slrnrc file; the global file is still
    read. This way if root's .slrnrc is broken, it doesn't break this script.
    Closes: #150975

 -- Joey Hess <joeyh@debian.org>  Fri, 28 Jun 2002 17:54:16 -0400

slrn (0.9.7.4-12) unstable; urgency=low

  * Build with either automake 1.4 or 1.5 (sigh).
    Closes: #150000

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Jun 2002 20:14:16 -0400

slrn (0.9.7.4-11) unstable; urgency=low

  * Debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 16:37:56 -0400

slrn (0.9.7.4-10) unstable; urgency=low

  * Enabled large file support, Closes: #147597

 -- Joey Hess <joeyh@debian.org>  Tue, 21 May 2002 21:21:12 -0400

slrn (0.9.7.4-9) unstable; urgency=low

  * Whups, I touched too much. Closes: #147401 

 -- Joey Hess <joeyh@debian.org>  Sun, 19 May 2002 01:00:21 -0400

slrn (0.9.7.4-8) unstable; urgency=low

  * Touch some files before running make to try to avoid the automake
    race on m68k. Closes: #146692

 -- Joey Hess <joeyh@debian.org>  Sat, 18 May 2002 20:54:57 -0400

slrn (0.9.7.4-7) unstable; urgency=low

  * Corrected quoting in postinst and preinst, Closes: #146431

 -- Joey Hess <joeyh@debian.org>  Thu,  9 May 2002 22:40:54 -0400

slrn (0.9.7.4-6) unstable; urgency=low

  * Only do the stuff in the postinst (esp nntpserver file munging) on upgrade
    from old versions, not every time.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Apr 2002 22:24:13 -0400

slrn (0.9.7.4-5) unstable; urgency=low

  * Temporarily depend on autoconf in a vain attempt to get autobuilt on
    sparc.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Apr 2002 12:38:34 -0500

slrn (0.9.7.4-4) unstable; urgency=low

  * Applied upstream patches:
    - slrn-0.9.7.4-mem_leak.diff
    - slrn-0.9.7.4-popup_win.diff

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Apr 2002 11:25:05 -0500

slrn (0.9.7.4-3) unstable; urgency=low

  * Applied slrn-0.9.7.4-po.diff, which fixes some serious localization
    problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Mar 2002 19:39:20 -0500

slrn (0.9.7.4-2) unstable; urgency=low

  * Applied upstream slrn-0.9.7.4-link_subjects.diff.
  * Workaround warning from cleanscore, Closes: #130862

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Mar 2002 20:28:14 -0500

slrn (0.9.7.4-1) unstable; urgency=low

  * New upstream release. Closes: #137129

 -- Joey Hess <joey@kitenet.net>  Wed, 13 Mar 2002 14:59:52 -0500

slrn (0.9.7.3-5) unstable; urgency=low

  * Applied three upstream diffs: slrn-0.9.7.3-menu.diff, 
    slrn-0.9.7.3-mimeenc.diff, slrn-0.9.7.3-ssl.diff (this last is useful only
    if you build slrn with ssl support).

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jan 2002 17:43:47 -0500

slrn (0.9.7.3-4) unstable; urgency=low

  * Make clean see slrn-help.txt, Closes: #130450

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jan 2002 20:53:33 -0500

slrn (0.9.7.3-3) unstable; urgency=low

  * Carlos Valdivia Yagüe <valyag@hotpop.com> contributed spanish translations
    of the debconf stuff.
  * Fixed it to look for newsgroups.desc in the traditional place again.
    Closes: #119896

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Nov 2001 22:07:42 -0500

slrn (0.9.7.3-2) unstable; urgency=low

  * The "test twice, release once" release.
  * Fixed cron.daily and ip-up scripts for slrnpull.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Nov 2001 20:03:36 -0500

slrn (0.9.7.3-1) unstable; urgency=low

  * New upstream, with i18n.
  * Use new upstream make install target, instead of doing it all by hand.
  * The debian diff is down to just patching 4 lines in slrnfeat.h.
  * Moved slrnpull to /usr/bin from sbin (matches man page).

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Nov 2001 18:45:42 -0500

slrn (0.9.7.2-9) unstable; urgency=low

  * Don't complain during slrn installation if slrnpull is not in the status
    file. Closes: #116779

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Oct 2001 11:53:05 -0400

slrn (0.9.7.2-8) unstable; urgency=low

  * slrnpull.config: read in defaults file if it is present.
    Closes: #115525

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Oct 2001 13:17:26 -0400

slrn (0.9.7.2-7) unstable; urgency=low

  * Russian templates from ilgiz kalmetev <i.kalmetev@bis.bashtelecom.ru>
    also some typo fixes. Closes: #114860, #114859

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Oct 2001 18:46:37 -0400

slrn (0.9.7.2-6) unstable; urgency=HIGH

  * Upstream security fix; slrn's internal uudecoder auto-executes any
    shell script in the archive (thinking it's a shar, presumably!). That
    just doesn't fly in today's internet. Slrn in unstable is actually
    probably not vulnerable, probably, since it is set up to use the
    uudeview library for decoding. However, this is too critical a security
    fix to omit.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Sep 2001 11:23:35 -0400

slrn (0.9.7.2-5) unstable; urgency=low

  * manual.txt typo, Closes: #112362

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Sep 2001 19:00:47 -0400

slrn (0.9.7.2-4) unstable; urgency=low

  * Upstream patches:
    - slrn-0.9.7.2-authneeded.diff
    - slrn-0.9.7.2-newsurl.diff

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Aug 2001 17:43:34 -0400

slrn (0.9.7.2-3) unstable; urgency=low

  * Previous version was built on a system with a debuggig version of
    debconf that generated broken templates files. Corrected, Closes: #110617

 -- Joey Hess <joeyh@debian.org>  Wed, 29 Aug 2001 23:49:39 -0400

slrn (0.9.7.2-2) unstable; urgency=low

  * Some changes to old cruft in the debian diff.
  * That includes ading back a missing root_dircat, Closes: #88151
  * Upstream patches:
     - slrn-0.9.7.2-forceauth.diff 
     - slrn-0.9.7.2-readactive.diff

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Aug 2001 15:10:56 -0400

slrn (0.9.7.2-1) unstable; urgency=low

  * New upstream release.
  * Some changes to configure to make everything we've always built
    continue to build with this new version.
  * slrnpull.1 man page now shipped with slrn, so use it rather than the
    stub I wrote.
  * clientlib is dealt with, so the source is pristine once more.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Aug 2001 20:09:06 -0400

slrn (0.9.7.1-10) unstable; urgency=low

  * New upstream patches:
     - slrn-0.9.7.1-decode.diff
     - slrn-0.9.7.1-readfail.diff

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jul 2001 12:19:42 -0400

slrn (0.9.7.1-9) unstable; urgency=low

  * Fixed typo in /etc/mailname stuff. Closes: #104062

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Jul 2001 11:14:40 -0400

slrn (0.9.7.1-8) unstable; urgency=low

  * Slrn will now consult /etc/mailname to sret the posting_host (the
    hostname in the From: line of posted messages. Done by setting
    OUR_HOSTNAME=/etc/mailname in slrnfeat.h. Closes: #62265
  * Added code to prompt for a valie for /etc/mailname if it doesn't exist
    yet. Using shared debconf question shared/mailname.
  * Fixed a bug that made slrn ask about /etc/news/server on fresh slrn
    installs when the file already existed.

 -- Joey Hess <joeyh@debian.org>  Wed,  4 Jul 2001 16:47:33 -0400

slrn (0.9.7.1-7) unstable; urgency=low

  * Polish translation of slrn's templates file by Krzysztof Krzyzaniak
    <eloy@transilvania.eu.org>, Closes: #103090

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Jul 2001 19:53:26 -0400

slrn (0.9.7.1-6) unstable; urgency=low

  * The "look ma, no registry!" release.
  * Upstream patch slrn-0.9.7.1-include.diff, Closes: #102601
  * Moved some of the code from the ip-up and cron scripts into slrn_getdescs.
  * Added /etc/default/ files for slrn and slrnpull.
  * getdescs delay is configurable in /etc/default/slrn, Closes: #47950

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Jun 2001 12:10:10 -0400

slrn (0.9.7.1-5) unstable; urgency=low

  * Hm, I can't generate configure from configure.in easily, since it needs
    an external mqacro file. Instead, I'll wimp out and just build-depend
    on mail-transport-agent. Closes: #100963

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Jun 2001 18:21:14 -0400

slrn (0.9.7.1-4) unstable; urgency=low

  * Hacked configure script to assume sendmail is present so the package
    need not build-depend on sendmail. Closes: #100963

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jun 2001 11:23:49 -0400

slrn (0.9.7.1-3) unstable; urgency=low

  * German translations of templates files for:
    - slrn, by Kai Weber <kai.weber@glorybox.de> Closes: #100830
    - slrpull, by Sebastian Feltel" <sebastian@feltel.de> Closes: #100825

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Jun 2001 12:38:49 -0400

slrn (0.9.7.1-2) unstable; urgency=low

  * Removed grouplens stuff from package description (dead).
  * Applied upstream patches:
    - slrn-0.9.7.1-readcount.diff
    - slrn-0.9.7.1-xhdr_spool.diff

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Jun 2001 16:42:31 -0400

slrn (0.9.7.1-1) unstable; urgency=low

  * New upstream release.
  * Modified message about slrnrc.conv to give complete path to the file, 
    which is now in /usr/share/slrn/contrib/
  * Debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Jun 2001 20:29:30 -0400

slrn (0.9.7.0a-9) unstable; urgency=low

  * Upstream patches:
    slrn-0.9.7.0-noregexp.diff (Closes: #96738)

 -- Joey Hess <joeyh@debian.org>  Thu, 10 May 2001 17:21:41 -0400

slrn (0.9.7.0a-8) unstable; urgency=low

  * Changed the slrnpull question about how to run slrnpull from low to
    high, since this is a critical question to slrnpulls operation, and
    there is not a very good default for everyone (bug #96792).

 -- Joey Hess <joeyh@debian.org>  Tue,  8 May 2001 17:34:30 -0400

slrn (0.9.7.0a-7) unstable; urgency=low

  * Upstream patches:
     - slrn-0.9.7.0-hash.diff
     - slrn-0.9.7.0-reply.diff

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2001 23:48:35 -0400

slrn (0.9.7.0a-6) unstable; urgency=low

  * Upstream patches:
    - slrn-0.9.7.0-uudeview.diff, Closes: #93194
    - slrn-0.9.7.0-editscore.diff

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Apr 2001 12:50:57 -0700

slrn (0.9.7.0a-5) unstable; urgency=low

  * Fixed libdir, Closes: #93330

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Apr 2001 15:48:08 -0700

slrn (0.9.7.0a-4) unstable; urgency=low

  * Build-dep on inewsinn | inews, Closes: #93148

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Apr 2001 15:19:12 -0700

slrn (0.9.7.0a-3) unstable; urgency=low

  * Oops, I lost the /etc/news/slrn.rc patch, Closes: #93091

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Apr 2001 01:23:26 -0700

slrn (0.9.7.0a-2) unstable; urgency=low

  * Patch slrn-0.9.7.0-comp_charsets.diff fixes compatible_charsets,
    which is the new feature that Closes: #64928

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Apr 2001 09:37:18 -0700

slrn (0.9.7.0a-1) unstable; urgency=low

  * New upstream, with a new maintainer. Incorporates many debian patches.
    - this is the slrn.sourceforge.net version, Closes: #80200, #75961
    - manual.txt documents all the variables, Closes: #57300
    - decodes utf-8 (partial support anyhow, with more planned), Closes: #60650
    - should fix DST issues, Closes: #70050
    - group list position is preserved on 'G', Closes: #67926
    - looks like error printing is improved, Closes: #39672
  * Updated home page info.
  * Turned off grouplens support, as the project seems to be dead.
  * Added contrib/ directory contents to the examples.
  * Removed clientlib.* from the upstream tarball, and excised all code
    that tries to use it. It turns out that that file is not free software:
    restrictions on sale. Luckily, that file contains only code that is not
    used by slrn anymore (on linux anyway), so it was easy to remove.
  * Applied patches from http://slrn.sourceforge.net/patches/#sect_bugs:
    - slrn-0.9.7.0-mark_read.diff
    - slrn-0.9.7.0-extract_header.diff
    - slrn-0.9.7.0-newgroups.diff

 -- Joey Hess <joeyh@debian.org>  Wed,  4 Apr 2001 12:07:12 -0700

slrn (0.9.6.3-16) unstable; urgency=low

  * Uses libuu now, for uudeview support built in.

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Mar 2001 21:37:41 -0800

slrn (0.9.6.3-15) unstable; urgency=low

  * Fixed man page typo, Closes: #89452
  * Fixed bashism.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Mar 2001 12:47:31 -0800

slrn (0.9.6.3-14) unstable; urgency=low

  * -r'd some xargs calls, Closes: #88810 

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2001 19:33:17 -0800

slrn (0.9.6.3-13) unstable; urgency=low

  * Run daily slrnpull expiry job as user news, perms get messed up
    otherwise.
  * Fixed said messed up perms on upgrade.
  * Make slrnpull.log file in postinst if it does not exist, so its perms
    can be set.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Mar 2001 17:00:10 -0800

slrn (0.9.6.3-12) unstable; urgency=low

  * Fixed bad dpkg --compare-versions call on initial install.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Mar 2001 16:44:49 -0800

slrn (0.9.6.3-11) unstable; urgency=low

  * cd to spool directory before running slrnpull, Closes: #88151
  * Fixed problems with slrnpull log permissions.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Mar 2001 12:12:41 -0800

slrn (0.9.6.3-10) unstable; urgency=low

  * I had a report that the chmod/chown in the rules file fails on
    the slrnpull.conf symlink. Although I have never seen such a thing, nor
    can I reproduce it, it did make me relaize I want to make that symlink
    only after the chmod/chown, because I don't want it's perms to be
    affected.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Feb 2001 13:21:30 -0800

slrn (0.9.6.3-9) unstable; urgency=low

  * Rats, I can't do away with that slrnpull.conf symlink after all, it
    breaks for people who have multiple confs and use -d.

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Feb 2001 21:37:10 -0800

slrn (0.9.6.3-8) unstable; urgency=low

  * Really fixed build-depends typo, Closes: #84268

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Feb 2001 13:36:16 -0800

slrn (0.9.6.3-7) unstable; urgency=medium

   * Slrnpull now uses the scheme described in setuid.txt, Closes: #63011
     - run as user 'news'
     - and /var/spool/slrnpull/{data,news} directories are sgid group news, but not
       writable by that group, just by user news. 
     - /var/spool/slrnpull/out.going is +t to prevent users from stomping over
       other user's files.
     - Modified slrn to make posts to slrnpull spool be mode 640. (Enabled
       SLRNPULL_USE_SETGID_POSTS, and hacked it to use mode 640, not 660.)
     - Documented above in README.Debian
     - Include slrnpull/setgid.txt in binary package.
     - Added postinst code to update systems to the new permissions -- hope
       this steps on no toes.
   * Also made slrnpull read /etc/news/slrnpull.conf, so the symlink in
     /var/news/slrnpull can be done away with.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Feb 2001 14:06:23 -0800

slrn (0.9.6.3-6) unstable; urgency=medium

  * Fixed build-depends, Closes: #83811

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Jan 2001 19:18:47 -0800

slrn (0.9.6.3-5) unstable; urgency=medium

  * Don't hardcode the domain name to build host *again*. This last happened
    in 1997 and the fix for that was reverted somewhere along the way.
    To prevent it from ever happenning again, I added a regression test
    too. Closes: #83725

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Jan 2001 02:48:50 -0800

slrn (0.9.6.3-4) unstable; urgency=low

  * Added News hint, Closes: #80052

 -- Joey Hess <joey@kitenet.net>  Tue, 19 Dec 2000 17:23:31 -0800

slrn (0.9.6.3-3) unstable; urgency=low

  * Modified maintainer scripts to not fail if /etc/news/server has more
    than one line (although the format of the file is not particularly well
    defined) Closes: #72978

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Dec 2000 22:25:06 -0800

slrn (0.9.6.3-2) unstable; urgency=low

  * Patch from Colin Phipps <cph@cph.demon.co.uk> to fix a temp file
    problem. Closes: #79058 (This problem is not exploitable by default
    in Debian.)

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Dec 2000 13:25:29 -0800

slrn (0.9.6.3-1) unstable; urgency=low

  * New upstream version.

 -- Joey Hess <joeyh@debian.org>  Tue, 31 Oct 2000 10:46:49 -0800

slrn (0.9.6.2-14) unstable; urgency=low

  * Patch from Michal Politowski to fix the patch I applied in -9 from
    redhat's BTS. It was using sizeof() incorrectly, and truncating the
    web browser command it ran to sizeof(char *). Closes: #75171

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Oct 2000 12:21:39 -0700

slrn (0.9.6.2-13) unstable; urgency=low

  * Removed a CVS directory that snuck into the deb.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Oct 2000 01:28:19 -0400

slrn (0.9.6.2-12) unstable; urgency=low

  * In both config scripts, used hostname -d. I had a quoting error that
    was making the hostname be evaled. Closes: #71686

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Sep 2000 21:19:24 -0700

slrn (0.9.6.2-11) unstable; urgency=low

  * Added a guard to /etc/cron.weekly/slrn to ensure slrn is installed
    before it tries to run. Closes: #69099
  * Config scripts detect reconfigure case, and when it is reconfigured, 
    allows you to change your news server. Closes: #64299
  * The config scripts are now shell scripts, not perl programs.
  * Fixed some dumb bugs in the preinst.
  * No longer links /etc/news/server to /etc/nntpserver, the latter is
    long-deprecated.

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Aug 2000 18:50:03 -0700

slrn (0.9.6.2-10) unstable; urgency=low

  * Moved to using logrotate for slrnpull.

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Jul 2000 00:43:51 -0700

slrn (0.9.6.2-9) unstable; urgency=low

  * Applied a patch from
    http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=12750 to fix
    dozens of potential buffer overrun holes in slrn and slrnpull. These
    include local environment variable overruns which Debian should not be
    vulnerable to, since nothing in this package is installed setuid or
    setgid (unlike Red Hat). It also includes theoretical remote exploits by
    poisening newsgroup data. All theoretical, so I am not uploading it to
    frozen, but I might as well apply the patch.

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Jun 2000 18:26:33 -0700

slrn (0.9.6.2-8) unstable; urgency=low

  * Whoops, my unstable version numbers got out of sync, and the changes below
    were never accepted in. Reupload with a better version number and a merge
    from the potato branch.
  * Slrnpull runs in background from ip-up.d script. Closes: #59615 
  * Closes: #54137, weird .deb timestamp problem seems to be unreproducable.
  * Closes: #53811, fixed long ago
  * Documented how to turn off colors, Closes: #43570
  * Included slrnfuns.txt, Closes: #57298
  * Changed all blue on black text to brightblue on black, in the global
    slrn.rc. This is the smallest change I can think of to make to fix the
    issue that the color scheme is unreadable in an xterm. Closes: #55201

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Feb 2000 14:33:38 -0800

slrn (0.9.6.2-7) frozen unstable; urgency=low

  * Replaced my hackery in the last release with a good patch from upstream.
    Url-escapes most stuff in URLS to prevent exploits, and doesn't use a
    fixed size buffer. Closes: #57616

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Feb 2000 21:23:00 -0800

slrn (0.9.6.2-6) frozen unstable; urgency=low

  * Fixed 2 sprintf calls in launch_url that get untrusted text passed
    into them, and so could be used for exploits in theory.
  * Also fixed a quoting bug that let attackers run arbitrary commands by
    embedding them in URLs. (This is not entirely fixed, but you are safe if
    you use the suggested quoting in the slrn man page. It should really use
    exec..)
  * Luckily, there are 2 barriers for either of these security holes to be
    expolited: first, the user is presented with the url before the browser
    is launched (though an attacker could simply pad the front of the url with
    something innocuous and hope the victim didn't scroll all the way to the
    end of it). Second, you have to have non_Xbrowser or Xbrowser set in your
    .slrnrc, and they are not set by default. Still, this needs to go into
    frozen. Closes: #57616
  * The bug reporter is right, slrn needs a through audit. :-(
  
 -- Joey Hess <joeyh@debian.org>  Wed,  9 Feb 2000 15:51:33 -0800

slrn (0.9.6.2-5) frozen unstable; urgency=low

  * Upped MAX_GROUP_NAME_LEN to 200, to deal with a nasty long group name
    floating around on pacbell's news servers. The group does not seem to be
    propigating outside pacbell, so I don't know if this is a critical bug or
    not. It will surely affect all pacbell customers who newly install slrn.
    Up to the release manager whether this goes into frozen. Closes: #57539

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Feb 2000 16:21:33 -0800

slrn (0.9.6.2-4) unstable; urgency=low

  * Fixed sample slrn.rc. Closes: #54244 (half the bug report was already
    fixed, actually)
  * Already fixed bug: Closes: #54245

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Jan 2000 17:05:20 -0800

slrn (0.9.6.2-3) unstable; urgency=low

  * Search for rc file in /etc/ again. Closes: #54210

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Jan 2000 11:56:26 -0800

slrn (0.9.6.2-2) unstable; urgency=low

  * Oops, I forgot to correct a spelling error, Closes: #53205

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Jan 2000 16:33:00 -0800

slrn (0.9.6.2-1) unstable; urgency=low

  * New upstream, Closes: #53875 and fixes source package.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Jan 2000 12:13:24 -0800

slrn (0.9.5.7-16) unstable; urgency=low

  * Need to build-depend on a specific version of debhelper or higher.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 15:55:44 -0800

slrn (0.9.5.7-15) unstable; urgency=low

  * debian/config: Removed weird extra capb command, Closes: #51650
  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Nov 1999 15:26:42 -0800

slrn (0.9.5.7-14) unstable; urgency=low

  * If /etc/news/server is exists but is empty, populate it on install,
    asking question if necessary. Closes: #48218
  * Correct cron job (and ip-up script) Closes: #50845

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Nov 1999 13:51:25 -0800

slrn (0.9.5.7-13) unstable; urgency=low

  * More debconf protocol version 2 fixes.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Nov 1999 16:14:11 -0800

slrn (0.9.5.7-12) unstable; urgency=low

  * Converted to debconf protocol version 2.0.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Oct 1999 16:24:37 -0700

slrn (0.9.5.7-11) unstable; urgency=low

  * Corrected a minor typo on the slrn man page. Closes: #47262
  * Fixed slrnpull's ip-up script to actually pull news if you aksed it to.
    Closes: #46884

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Oct 1999 07:01:44 -0700

slrn (0.9.5.7-10) unstable; urgency=low

  * Reupload with full source, *again*.
  * Closes: #46282, which was really fixed last release.
  * Fixed typo in ip-up.d, Closes: #46473

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 1999 01:32:17 -0700

slrn (0.9.5.7-9) unstable; urgency=low

  * Reupload with full source, because it's got a messed up tar file in the
    archive (which needs to be deleted, ftp maintainers take note..)
  * Closes: #46282, which was really fixed last release.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 12:05:35 -0700

slrn (0.9.5.7-8) unstable; urgency=low

  * Raised the priority of the "get descriptions now?" question, and
    don't abort the postinst if it fails, as it is hardly critical to the
    use of slrn. Closes: #46282

 -- Joey Hess <joeyh@debian.org>  Wed, 29 Sep 1999 20:47:22 -0700

slrn (0.9.5.7-7) unstable; urgency=low

  * Modified to use new debhelper debconf support.

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Sep 1999 17:04:36 -0700

slrn (0.9.5.7-6) unstable; urgency=low

  * Added code to clean up the debconf db on purge. This is a test of the
    shared variable stuff.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 1999 16:38:11 -0700

slrn (0.9.5.7-5) unstable; urgency=low

  * Optimized the ip-up script. (Closes: #45726)

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Sep 1999 02:24:05 -0700

slrn (0.9.5.7-4) unstable; urgency=low

  * Modified to use debconf. The postinst was made completly non-interactive.
    slrnconfig and slrnpullconfig were removed (use 
    "dpkg-reconfigure slrn(pull)"). All the cron jobs and such pull values
    out of the debconf db directly.

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Sep 1999 12:17:24 -0700

slrn (0.9.5.7-2) unstable; urgency=low

  * Added #DEBHELPER# to both preinsts.
  * Fixed some bad mergers.
  * FHS

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 17:41:13 -0700

slrn (0.9.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 17:41:07 -0700

slrn (0.9.5.6-5) unstable; urgency=low

  * Rebuilt with new slang1-dev to fix dependancy problem.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Aug 1999 20:39:51 -0700

slrn (0.9.5.6-4) unstable; urgency=low

  * Fixed source in perl script bashism. Don't ask.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Aug 1999 17:18:24 -0700

slrn (0.9.5.6-3) unstable; urgency=low

  * Fixed dependancy.

 -- Joey Hess <joeyh@debian.org>  Wed,  4 Aug 1999 15:42:34 -0700

slrn (0.9.5.6-2) unstable; urgency=low

  * Now depends on slang1 from unstable. If one used unstable slrn and stable
    slang1, it could crash in some circumstances (Closes: #41903)

 -- Joey Hess <joeyh@debian.org>  Wed,  4 Aug 1999 11:37:07 -0700

slrn (0.9.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 1999 13:55:23 -0700

slrn (0.9.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 1999 19:09:54 -0700

slrn (0.9.5.4-4) unstable; urgency=low

  * Fixed crash on weird email addresses, patch from Dinko Korunic.

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Apr 1999 13:37:18 -0700

slrn (0.9.5.4-3) unstable; urgency=low

  * Use /etc/news/server.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Apr 1999 12:36:11 -0700

slrn (0.9.5.4-2) unstable; urgency=low

  * Added example score file to slrnpull, fixes part of #33096.
  * Moved /var/spool/slrnpull/log to /var/log/news/slrnpull.log, and rotate
    it (closes: #33096)

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Feb 1999 14:16:53 -0800

slrn (0.9.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Nov 1998 17:08:46 -0800

slrn (0.9.5.3-4) unstable; urgency=low

  * Fixed postinst typo.

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Oct 1998 11:55:53 -0700

slrn (0.9.5.3-3) unstable; urgency=low

  * Remove some slrnpull stuff if you don't use slrnpull.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Oct 1998 20:02:05 -0700

slrn (0.9.5.3-2) unstable; urgency=low

  * Made slrnconfig guess at newsserver to provide a default (#27287).

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Oct 1998 17:10:38 -0700

slrn (0.9.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Sep 1998 12:27:12 -0700

slrn (0.9.5.2-7) unstable; urgency=low

  * Rebuilt with debhelper 1.1.19, fixes man page collision problem #26603.

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Sep 1998 11:22:34 -0700

slrn (0.9.5.2-6) unstable; urgency=low

  * If /etc/ppp/ip-ip.d/slrn, or /etc/cron.weekly/slrn contains the string,
    "/etc/slrnget.conf", output a warning and offer to fix it to point to
    /etc/news/slrn.debian.conf (#26541).
  * If upgrading from a version before the split into 2 packages, and if
    slrnpull is not marked for install, output a warning message letting
    them know they are going to lose slrnpull (#26541).

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Sep 1998 12:43:41 -0700

slrn (0.9.5.2-5) unstable; urgency=low

  * Rebuilt to fix dependancies (#26542).

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Sep 1998 12:30:10 -0700

slrn (0.9.5.2-4) unstable; urgency=low

  * Applied patch from author, to fix slrn's response to signals.

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Jun 1998 13:42:34 -0700

slrn (0.9.5.2-3) unstable; urgency=low

  * Fixed several typo's intrroduced in the last version.
  * FYI, this package was built on a computer moving 60mph on a train. :-)

 -- Joey Hess <joeyh@debian.org>  Sun, 17 May 1998 11:20:08 -0700

slrn (0.9.5.2-2) unstable; urgency=low

  * The previous version removed the conffile /etc/cron.daily/slrn (it was
    moved into the slrnpull package and renamed). I notice that on upgrade 
    to slrn, this file is preserved, and gets run daily, generating error 
    messages. To work around that, I have added code to the postinst of slrn
    to delete it if it exists.

 -- Joey Hess <joeyh@debian.org>  Thu, 14 May 1998 00:48:55 -0700

slrn (0.9.5.2-1) unstable; urgency=low

  * New upstream release.
  * Split the package into two: slrn will contain only the newsreader, while
    the new slrnpull package will contain the slrnpull stuff. Did this
    becuase it's ben pointed out some people may want slrn but not slrnpull,
    other may want slrnpull, but a news reader other than slrn.
  * Rewrote slrnconfig extensively, splitting part of it into
    slrnpullconfig, and making it all much easier to use.
  * Split /etc/slrnget.conf into 2 files, /etc/news/slrn.debian.conf and
    /etc/news/slrnpull.debian.conf

 -- Joey Hess <joeyh@debian.org>  Tue,  5 May 1998 13:31:39 -0700

slrn (0.9.5.1-2) unstable; urgency=low

  * Moved /var/spool/slrnpull/slrnpull.conf to /etc/news/slrnpull.conf with
    a symlink back to the old location. (#21133)

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Apr 1998 14:55:36 -0700

slrn (0.9.5.1-1) unstable; urgency=low

  * New upstream release, linked with new slang 1.2.

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Apr 1998 16:42:35 -0700

slrn (0.9.4.3-4) unstable; urgency=low

  * Fixed all lintian reports:
    - updated standard version.
    - fixed FSF mailing address.
    - removed du control file.
    - fixed md5sums permissions.
    - added man pages for all executables.
  * There is a problem with using slrnpull for a local news spool and
    posting outgoing news into /var/spool/slrnpull/out.going/. Unless that
    directory is set to permissions 777 (or your user is in group news), it 
    won't work. Since most people do not use slrnpull, I have not changed the
    directory permissions, but this is now documented in README.Debian. I 
    have also brought this problem to the attention of the upstream author.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Feb 1998 15:12:49 -0800

slrn (0.9.4.3-3) unstable; urgency=low

  * Don't depend on perl; perl-base is sufficient.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Feb 1998 19:24:52 -0800

slrn (0.9.4.3-2) unstable; urgency=low

  * Removed ugly modification of /etc/ppp/ip-up, now uses ip-up.d directory.
  * Added du and md5sums.

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Jan 1998 12:53:03 -0500

slrn (0.9.4.3-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper.
  * Fixed unchecked prompting in postinst.
  * Use pristine upstream source.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Oct 1997 12:30:38 -0400

slrn (0.9.4.2-8) unstable; urgency=low

  * Fixed slrn to read global slrn.rc file.
  * Routine update of debian/rules:
    Fixed binary-indep target.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Sep 1997 14:29:23 -0400

slrn (0.9.4.2-7) unstable; urgency=low

  * Don't delete /etc/news/server, instead, make sure it is a symlink to
    /etc/nntpserver. (#12478)

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Sep 1997 15:54:31 -0400

slrn (0.9.4.2-6) unstable; urgency=low

  * Fixed bug when user said not to save configuration in slrnconfig.

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Sep 1997 13:10:35 -0400

slrn (0.9.4.2-5) unstable; urgency=low

  * Don't hardcode the domain name (was hardcoded to kite.ml.org by configure
    script). (#11616)

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Jul 1997 00:12:24 -0400

slrn (0.9.4.2-4) unstable; urgency=low

  * Change umask to 022 in ip-up script for slrnpull, reset when done.
  * Don't use /etc/news/server (#11447)

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Jul 1997 13:56:08 -0400

slrn (0.9.4.2-3) unstable; urgency=low

  * Fixed uid/gid problem (caused by fakeroot with a non-libc6 dpkg-deb) 
    #11182

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jul 1997 13:05:34 -0400

slrn (0.9.4.2-2) unstable; urgency=low

  * post{inst,rm} were calling update-menus twice, this led to very weird
    results, and has been corrected.
  * Fixes to debian/rules to only run sudo when it really has to so fakeroot
    works right.

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Jul 1997 16:13:16 -0400

slrn (0.9.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Jul 1997 14:34:15 -0400

slrn (0.9.4.1-3) unstable; urgency=low

  * Only run slrnconfig in postinst if /etc/slrnget.conf is not present.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Jun 1997 08:43:48 -0400

slrn (0.9.4.1-2) unstable; urgency=low

  * Added a /usr/doc/slrn/examples/slrn.rc_for_slrnpull file.
  * Added note to README.debian about how to set up slrnrc for slrnpull.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Jun 1997 16:30:15 -0400

slrn (0.9.4.1-1) unstable; urgency=low

  * New upstream release.
  * Built with glibc6 and a new version of the slang package.
  * Added slrnconfig to debian menus (Apps/System/Admin menu), converted
    menu file to new format.
  * Let debstd install the menu file.
  * Removed slrn-wrap.c from source package (hasn't been used for a long
    time.)

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Jun 1997 11:54:22 -0400

slrn (0.9.3.2-5) unstable; urgency=low

  * Last version was rejected to stable, this should correct it, and go into
    only unstable. (Version 0.9.3.2-2.1 will go into stable.)
  * No further changes, except those from last version that was rejected,
    fixing crontab problem.

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Jun 1997 11:34:03 -0400

slrn (0.9.3.2-4) stable unstable; urgency=low

  * Fix cron job problem that caused an error to be printed each week.
    I hope this can make it into a stable point-release of debian.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Jun 1997 15:51:25 -0400

slrn (0.9.3.2-3) unstable; urgency=low

  * For compatablity with qmail, use /usr/sbin/sendmail, not
    /usr/lib/sendmail, to send mail.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@debian.org>  Sun,  1 Jun 1997 23:25:39 -0400

slrn (0.9.3.2-2) unstable; urgency=low

  * Install properly if ppp is not installed (#7817).

 -- Joey Hess <joeyh@debian.org>  Tue, 4 Mar 1997 16:30:12 -0500

slrn (0.9.3.2-1) unstable; urgency=low

  * New upstream release (bugfix release).
  * Pipe some things in the cron jobs to /dev/null.
  * Cosmetic fix to slrnconfig.

 -- Joey Hess <joeyh@debian.org>  Mon, 3 Mar 1997 20:35:31 -0500

slrn (0.9.3.1-1) unstable; urgency=low

  * New upstream version.
  * Added slrnpull to the package.
  * Remove message about TERMCAP from slrn's readme.debian -- fixed now by
    new slang library.
  * Oops, forgot to fix maintainer in control file and copyright file.
  * Removed references to my obsolete jeh22@cornell.edu address.
  * Rewrote description in control file.
  * Rewrote postinst script in sh. Added a perl script, /usr/sbin/slrnconfig,
    so still has a dependancy on perl.
  * No more wrapper program! Instead, the above mentioned slrnconfig can
    activate cron jobs, or place commands in /etc/ppp/ip-up.
  * Made /etc/news/slrn.rc a conffile.
  * Cleaned up purging.

 -- Joey Hess <joeyh@debian.org>  Fri, 28 Feb 1997 22:56:24 -0500

slrn (0.9.2.1-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.
  * Routine update of debian/rules.
  * Added a menu-file.
  * Enabled support for local news spools, inews, and grouplens.
  * debian/rules clean cleans up some files it missed before.
  * Added README.macros file to docs.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Dec 1996 22:21:25 -0500

slrn (0.8.8.4-1.1) unstable; urgency=low

  * Interim release by Joey Hess <jeh22@cornell.edu>.
  * Updated to new packaging standard and now uses debmake.
  * Fixed slang dependancy to use proper name of slang package. (#5253)
  * Fixed "5 min" typo in wrapper program.
  * Changed fix for xterm problem to unsetting TERMCAP.
  * Registers itself with install-fvwm2menu.
  * Added depends: perl for postinst.
  * Changed MEMSET to SLmemset so it will work with new version of slang.
  * Made /etc/news/slrn-help.txt a conffile.

 -- Joey Hess <jeh22@cornell.edu>  Mon, 4 Nov 1996 12:20:56 -0500
